
From: Andrew Morton <akpm@osdl.org>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/reiser4/entd.c     |    2 +-
 fs/reiser4/ktxnmgrd.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN fs/reiser4/ktxnmgrd.c~reiser4-swsusp-build-fix fs/reiser4/ktxnmgrd.c
--- 25/fs/reiser4/ktxnmgrd.c~reiser4-swsusp-build-fix	2005-06-26 00:10:45.000000000 -0700
+++ 25-akpm/fs/reiser4/ktxnmgrd.c	2005-06-26 00:10:59.000000000 -0700
@@ -109,7 +109,7 @@ ktxnmgrd(void *arg)
 		/* software suspend support. */
 		if (me->flags & PF_FREEZE) {
 			spin_unlock(&ctx->guard);
-			refrigerator(PF_FREEZE/*PF_IOTHREAD*/);
+			refrigerator();
 			spin_lock(&ctx->guard);
 		}
 
diff -puN fs/reiser4/entd.c~reiser4-swsusp-build-fix fs/reiser4/entd.c
--- 25/fs/reiser4/entd.c~reiser4-swsusp-build-fix	2005-06-26 00:13:34.000000000 -0700
+++ 25-akpm/fs/reiser4/entd.c	2005-06-26 00:13:48.000000000 -0700
@@ -131,7 +131,7 @@ entd(void *arg)
 		int result = 0;
 
 		if (me->flags & PF_FREEZE)
-			refrigerator(PF_FREEZE);
+			refrigerator();
 
 		spin_lock(&ent->guard);
 
_
